> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dashboard Kpis

> Full KPI tile set with sparklines, deltas, delta_pct, and trend direction.
Includes both backward-compat keys and spec-canonical tile keys.
window: 7d|30d|90d (default 30d)



## OpenAPI

````yaml /openapi.json get /v1/dashboard/kpis
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/dashboard/kpis:
    get:
      tags:
        - dashboard
      summary: Get Dashboard Kpis
      description: >-
        Full KPI tile set with sparklines, deltas, delta_pct, and trend
        direction.

        Includes both backward-compat keys and spec-canonical tile keys.

        window: 7d|30d|90d (default 30d)
      operationId: get_dashboard_kpis_v1_dashboard_kpis_get
      parameters:
        - in: query
          name: window
          required: false
          schema:
            default: 30d
            title: Window
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardKPIs'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DashboardKPIs:
      description: KPI tiles with sparklines, deltas, and trend directions.
      properties:
        active_issues:
          $ref: '#/components/schemas/KpiTile'
        at_risk_areas:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        avg_risk_score:
          $ref: '#/components/schemas/KpiTile'
        computed_at:
          title: Computed At
          type: string
        connector_health_pct:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        exposure_reduced_usd:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        issues_in_loop:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        issues_open:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        lead_time_days:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        loops_broken:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        loops_prevented:
          $ref: '#/components/schemas/KpiTile'
        mttr_days:
          $ref: '#/components/schemas/KpiTile'
        open_exposure_usd:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        open_loops:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        open_patterns:
          $ref: '#/components/schemas/KpiTile'
        patterns_active:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        prediction_precision:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        predictions_high_prob:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        predictions_this_week:
          $ref: '#/components/schemas/KpiTile'
        resolution_time_avg_hours:
          anyOf:
            - $ref: '#/components/schemas/KpiTile'
            - type: 'null'
        window:
          anyOf:
            - type: string
            - type: 'null'
          title: Window
      required:
        - active_issues
        - open_patterns
        - avg_risk_score
        - mttr_days
        - predictions_this_week
        - loops_prevented
        - computed_at
      title: DashboardKPIs
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    KpiTile:
      properties:
        delta:
          title: Delta
          type: number
        delta_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Delta Pct
        delta_period:
          title: Delta Period
          type: string
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        sparkline:
          items:
            type: number
          title: Sparkline
          type: array
        trend:
          default: flat
          enum:
            - up
            - down
            - flat
          title: Trend
          type: string
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        value:
          anyOf:
            - type: number
            - type: 'null'
          title: Value
      required:
        - key
        - label
        - delta
        - delta_period
      title: KpiTile
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````